<template>
    <div @click="update" style="cursor: pointer">
        <v-icon v-if="value" color="green">mdi-check</v-icon>
        <v-icon v-else color="red">mdi-close</v-icon>
    </div>
</template>

<script>
export default {
    name: "Selector",
    props: {
        value: {
            required: true,
            type: Boolean
        }
    },
    methods: {
        update() {
            this.$emit("input", !this.value);
        }
    }
}
</script>